Package org.codehaus.groovy.util

# Class URLStreams

java.lang.Object
org.codehaus.groovy.util.URLStreams

public class URLStreams extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InputStream`
  `openUncachedStream(URL url)`
  Opens an `InputStream` reading from the given URL without caching the stream.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### openUncachedStream

    public static InputStream openUncachedStream(URL url) throws IOException
    Opens an `InputStream` reading from the given URL without caching the stream. This prevents file descriptor leaks when reading from file system URLs.
    Parameters:
      `url` - the URL to connect to
    Returns:
      an input stream reading from the URL connection
    Throws:
      `IOException`